#
# Copyright (c) 2001, 2002 The University of Utah and the Flux Group.
# All rights reserved.
#
# This file is part of the Janos Meta-Makefiles software.
# 
# Permission to use, copy, modify, distribute, and sell this software and
# its documentation is hereby granted without fee, provided that the above
# copyright notice and this permission/disclaimer notice is retained in all
# copies or modified versions, and that both notices appear in supporting
# documentation.  THE COPYRIGHT HOLDERS PROVIDE THIS SOFTWARE "AS IS" AND
# WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION,
# THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
# PURPOSE.  THE COPYRIGHT HOLDERS DISCLAIM ANY LIABILITY OF ANY KIND FOR
# ANY DAMAGES WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.
# 
# Users are requested, but not required, to send to csl-dist@cs.utah.edu any
# improvements that they make and grant Univ. of Utah redistribution rights.
#
###
### std_vars.mk
###

ifeq ($(strip $(MK_VERBOSE)),no)
std_MAKE_QUIET=-s
else
std_MAKE_QUIET=
endif

ifeq ($(strip $(MK_PARALLEL)),yes)
std_MAKE_PARALLEL=-j $($(component)_MAKE_PARALLELISM)
else
std_MAKE_PARALLEL=
endif

ifeq ($(findstring oskit, $(COMPONENTS)),oskit)
std_oskit_included:=yes
else
std_oskit_included:=no
endif

ifeq ($(findstring click, $(COMPONENTS)),click)
std_click_included:=yes
else
std_click_included:=no
endif

ifeq ($(findstring moab, $(COMPONENTS)),moab)
std_moab_included:=yes
else
std_moab_included:=no
endif

ifeq ($(findstring janosvmtools, $(COMPONENTS)),janosvmtools)
std_janosvmtools_included:=yes
else
std_janosvmtools_included:=no
endif

ifeq ($(findstring janosvm, $(COMPONENTS)),janosvm)
std_janosvm_included:=yes
else
std_janosvm_included:=no
endif

ifeq ($(findstring jnodeos, $(COMPONENTS)),jnodeos)
std_jnodeos_included:=yes
else
std_jnodeos_included:=no
endif

ifeq ($(findstring antsr, $(COMPONENTS)),antsr)
std_antsr_included:=yes
else
std_antsr_included:=no
endif

#eof
