
# input:
#   source_DIR - source directory name

source_DIRS ?= $(wildcard src/*)

ifeq ($(source_VAR),)
source_VAR = $(source_DIR)_SRC_DIR
endif

ifeq ($($(source_VAR)),)
ifneq ($(findstring $(source_DIR),$(COMPONENTS)),)
source_guess_DIR=$(filter src/$(source_DIR)%,$(source_DIRS))
ifeq ($(words $(source_guess_DIR)),1)
export $(source_VAR) := $(addprefix $(CURDIR)/, $(source_guess_DIR))
$(call logmsg,discover,Discovered $(source_guess_DIR) directory $($(source_VAR)))
else

ifeq ($(discovery_FAIL),yes)
ifeq ($(words $(source_guess_DIR)),0)
$(error No $(source_DIR) directory in src directory, you will need to define $(source_VAR) in the config file)
else
$(error More than one $(source_DIR) in the src directory, you will need to define $(source_VAR) in the config file)
endif
endif
endif
endif
endif

export source_VAR=
