#
# Copyright (c) 2002 The University of Utah and the Flux Group.
# All rights reserved.
#
# This file is part of the Janos Meta-Makefiles software.
# 
# Permission to use, copy, modify, distribute, and sell this software and
# its documentation is hereby granted without fee, provided that the above
# copyright notice and this permission/disclaimer notice is retained in all
# copies or modified versions, and that both notices appear in supporting
# documentation.  THE COPYRIGHT HOLDERS PROVIDE THIS SOFTWARE "AS IS" AND
# WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION,
# THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
# PURPOSE.  THE COPYRIGHT HOLDERS DISCLAIM ANY LIABILITY OF ANY KIND FOR
# ANY DAMAGES WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.
# 
# Users are requested, but not required, to send to csl-dist@cs.utah.edu any
# improvements that they make and grant Univ. of Utah redistribution rights.
#
##
## Pat's local Makefile for compiling JanosVM
##

include $(CONFIG_FILE)
include $(MAKEFILES_DIR)/std_vars.mk
include $(MAKEFILES_DIR)/janosvmtools_vars.mk 

component=janosvmtools
include $(MAKEFILES_DIR)/std_rules.mk

all install: hostcheck
	$(MAKE) $(std_MAKE_QUIET) -C $(janosvmtools_OBJ_DIR)/config $@
	$(MAKE) $(std_MAKE_QUIET) -C $(janosvmtools_OBJ_DIR) \
		BUILD_ENVIRONMENT
	$(MAKE) $(std_MAKE_QUIET) -C $(janosvmtools_OBJ_DIR) \
		JVMBUILD_ENVIRONMENT
	$(MAKE) $(std_MAKE_QUIET) -C $(janosvmtools_OBJ_DIR)/kaffe/kaffeh $@
	$(MAKE) $(std_MAKE_QUIET) -C $(janosvmtools_OBJ_DIR)/kaffe/jsihey $@
